Communication contacts
The communication contacts resource represents a relationship between a communication, and the persons who performed the communication as contacts.
Communication contact object
{
"id": "0198bff9-db3a-780c-9c97-8bf135395fbc",
"tenant": "01988bb8-1cfb-7c87-9326-93op0349288e",
"communication": "0198bff9-da1b-7e81-a0a3-3ef0a8fe3cf3",
"contact": "0198a643-3893-720f-abe7-q2h0daweqrwm",
"created_at": "2025-08-19 01:37:59"
}
Fields
- idrequired readonly stringUnique ID of the record.
- tenantrequired readonly stringUnique ID of the tenant.
- communicationrequired stringUnique ID of the communication.
- contactrequired stringUnique ID of the contact.
- created_atrequired readonly stringUTC timestamp of when the record was created.
Add contact to communication
POST /tenants/{tenantId}/communication-contacts
The request body must include a communication contact object.
Required permissions
communication:update contacts:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 201 | Created | Successfully created | Communication contact object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant not found | Error object |
List communication contacts
GET /tenants/{tenantId}/communication-contacts
Required permissions
communication:read contacts:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | An associative array of communication contact objects | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant not found | Error object |
Read a communication contact
GET /tenants/{tenantId}/communication-contacts/{id}
Required permissions
communication:read contacts:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Communication contact object | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant or communication contact ID not found | Error object |
Remove contact from communication
DELETE /tenants/{tenantId}/communication-contacts/{id}
Required permissions
communication:update
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 204 | No content | Successfully removed | |
| 404 | Not Found | Tenant ID not found | Error object |
Was this page helpful?